### Method

# Gio DBusInterface set_object

since: 2.30

#### Declaration [src]

    void
    g_dbus_interface_set_object (
      GDBusInterface* interface_,
      GDBusObject* object
    )

#### Description [src]

Sets the `GDBusObject` for `interface_` to `object`.

Note that `interface_` will hold a weak reference to `object`.

Available since: 2.30

#### Parameters

`object`

  Type: `GDBusObject`

  A `GDBusObject` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.